﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MagicPCApp
{
    class MagicPCUI
    {
        MagicPCclass magic = new MagicPCclass();
        public String GetUserQuestion()
        {
            Console.Clear();
            Console.ForegroundColor = ConsoleColor.White;
            Console.WriteLine("Please Type your question.. Press ENTER after your response to ask another..\n");

            String UserQuestion = Console.ReadLine();

            while (UserQuestion != "quit")
            {
                RespondToQuestion();
                UserQuestion = GetUserQuestion();
            }
            return UserQuestion;

        }

        public void MainMethod()
        {
            UserInstructions();
            GetUserQuestion();
        }

        public void RespondToQuestion()
        {
            magic.GetUserAnswer();
            Console.ReadLine();
            Console.Clear();
        }

        public void UserInstructions()
        {
            Console.ForegroundColor = ConsoleColor.DarkMagenta;
            Console.WriteLine("\n\n*******************************************************************************************\n" +
                "*******************************************************************************************\n\n" + 
                "\tWelcome! Welcome! Come closer! Let me take a look at you!\n\n" + 
                "\tI am Zoltar, your personal magic 8 ball! Ask me a question and I shall answer!\n" +
                "\tHowever, it must be a yes or no question! So keep this in mind!\n\n" + 
                "\tOr you may just type 'quit' to close the app! Enjoy~!\n\n" +
                "*******************************************************************************************\n" + 
                "*******************************************************************************************\n");
            Console.ForegroundColor = ConsoleColor.White;
            Console.WriteLine("\n\nPlease Press ENTER to continue..");
            Console.ReadLine();
        }
    }
}
